Skip to content
Start here

List categories

GET/accounts/{account_id}/gateway/categories

List all categories.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust ReadZero Trust Write
Path ParametersExpand Collapse
account_id: string

Provide the identifier string.

maxLength32
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
success: true

Indicate whether the API call was successful.

result: optional array of Category { id, beta, class, 3 more }
id: optional number

Identify this category. Only one category per ID.

beta: optional boolean

Indicate whether the category is in beta and subject to change.

class: optional "free" or "premium" or "blocked" or 2 more

Specify which account types can create policies for this category. blocked Blocks unconditionally for all accounts. removalPending Allows removal from policies but disables addition. noBlock Prevents blocking.

One of the following:
"free"
"premium"
"blocked"
"removalPending"
"noBlock"
description: optional string

Provide a short summary of domains in the category.

name: optional string

Specify the category name.

subcategories: optional array of object { id, beta, class, 2 more }

Provide all subcategories for this category.

id: optional number

Identify this category. Only one category per ID.

beta: optional boolean

Indicate whether the category is in beta and subject to change.

class: optional "free" or "premium" or "blocked" or 2 more

Specify which account types can create policies for this category. blocked Blocks unconditionally for all accounts. removalPending Allows removal from policies but disables addition. noBlock Prevents blocking.

One of the following:
"free"
"premium"
"blocked"
"removalPending"
"noBlock"
description: optional string

Provide a short summary of domains in the category.

name: optional string

Specify the category name.

result_info: optional object { count, page, per_page, total_count }
count: optional number

Indicate the total number of results for the requested service.

page: optional number

Indicate the current page within a paginated list of results.

per_page: optional number

Indicate the number of results per page.

total_count: optional number

Indicate the total results available without any search parameters.

List categories

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/gateway/categories \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": 0,
      "beta": false,
      "class": "premium",
      "description": "Sites related to educational content that are not included in other categories such as Science, Technology or Educational institutions.",
      "name": "Education",
      "subcategories": [
        {
          "id": 0,
          "beta": false,
          "class": "premium",
          "description": "Sites related to educational content that are not included in other categories such as Science, Technology or Educational institutions.",
          "name": "Education"
        }
      ]
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": 0,
      "beta": false,
      "class": "premium",
      "description": "Sites related to educational content that are not included in other categories such as Science, Technology or Educational institutions.",
      "name": "Education",
      "subcategories": [
        {
          "id": 0,
          "beta": false,
          "class": "premium",
          "description": "Sites related to educational content that are not included in other categories such as Science, Technology or Educational institutions.",
          "name": "Education"
        }
      ]
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}